Subject: Re: [caldav] [ietf-caldav] Discjuntive search using REPORT

From: Bernard Desruisseaux <[email-masked]>
Date: Thu, 20 Aug 2009 14:49:05 -0400

Hi Fabián,

No, it's not.

We should consider adding this feature in a revision of CalDAV 
calendar-access. I imagine we'll want to follow the approach used by 
CardDAV (i.e., test="anyof").  See:

http://tools.ietf.org/html/draft-ietf-vcarddav-carddav-07#section-10.5

Cheers,
Bernard

Fabián Avilés Martínez wrote:
>  Hi all,
> I would like to know if it is possible to make discjuntive search
> using caldav REPORT. What I mean is, for example, get all events in a
> collection, having category A or B, or even both.
> 
> Thanks in advance.
> 
> Fabián Avilés Martínez
> Área de desarrollo de software / 
> Software Development Area
> 
> GMV SOLUCIONES
> GLOBALES INTERNET, S.A.
> Avda. Américo Vespucio
> Edificio Cartuja, Bloque E, 1ª Pta.
> E-41092 Sevilla
> Tel. +34 95 408 80 60
> Fax +34 95 408 12 33
> www.gmv.com
> www.gmv-sgi.com 
> 
> Antes de imprimir este mensaje, asegúrate de que es necesario. Proteger el medio ambiente está también en tu mano
> 
> 
> 
> ______________________
> Este mensaje, y en su caso, cualquier fichero anexo al mismo,
>  puede contener informacion clasificada por su emisor como confidencial
>  en el marco de su Sistema de Gestion de Seguridad de la 
> Informacion siendo para uso exclusivo del destinatario, quedando 
> prohibida su divulgacion copia o distribucion a terceros sin la 
> autorizacion expresa del remitente. Si Vd. ha recibido este mensaje 
>  erroneamente, se ruega lo notifique al remitente y proceda a su borrado. 
> Gracias por su colaboracion.
> ______________________
> This message including any attachments may contain confidential 
> information, according to our Information Security Management System,
>  and intended solely for a specific individual to whom they are addressed.
>  Any unauthorised copy, disclosure or distribution of this message
>  is strictly forbidden. If you have received this transmission in error,
>  please notify the sender immediately and delete it.
> ______________________
> _______________________________________________
> ietf-caldav mailing list -- [email-masked]
> See http://ietf.webdav.org/caldav/ for more CalDAV resources
> http://lists.osafoundation.org/mailman/listinfo/ietf-caldav